package com.muyu.source.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 资产结构表
 *
 * @ClassName AssetStructure
 * @Author AnNan.Wang
 * @Date 2024/4/22 19:10
 */

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName(value = "asset_structure")
@EqualsAndHashCode(callSuper = true)
public class AssetStructure extends BaseEntity {
    private static final long serialVersionUID = 1L;
    /**
     *资产表id
     */
    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(name = "资产表id", value = "资产表id")
    private Long id;
    /**
     *接入源名称
     */
    @Excel(name = "接入源名称")
    @ApiModelProperty(name = "接入源名称", value = "接入源名称")
    private String accessSourceName;
    /**
     *数据来源系统名称
     */
    @Excel(name = "数据来源系统名称")
    @ApiModelProperty(name = "数据来源系统名称", value = "数据来源系统名称")
    private String dataSourceSystemName;
    /**
     *数据库名称
     */
    @Excel(name = "数据库名称")
    @ApiModelProperty(name = "数据库名称", value = "数据库名称")
    private String databaseName;
    /**
     *数据库表名
     */
    @Excel(name = "数据库表名")
    @ApiModelProperty(name = "数据库表名", value = "数据库表名")
    private String databaseTableName;
    /**
     *数据量
     */
    @Excel(name = "数据量")
    @ApiModelProperty(name = "数据量", value = "数据量")
    private Integer dataVolume;
    /**
     *数据数量
     */
    @Excel(name = "数据数量")
    @ApiModelProperty(name = "数据数量", value = "数据数量")
    private Integer dataQuantity;
    /**
     *是否核心
     */
    @Excel(name = "是否核心")
    @ApiModelProperty(name = "是否核心", value = "是否核心")
    private char coreOrNot;

    @Excel(name = "字段名")
    @ApiModelProperty(name = "字段名", value = "字段名")
    private String  fieldName;
}
