package com.muyu.source.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 接入类型
 *
 * @ClassName SysAccess
 * @Author AnNan.Wang
 * @Date 2024/4/21 10:43
 */

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName(value = "sys_access")
@EqualsAndHashCode(callSuper = true)
public class SysAccess extends BaseEntity{
    private static final long serialVersionUID = 1L;
    /**
     * 接入类型ID
     */
    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(name = "接入类型ID", value = "接入类型ID")
    private Long id;
    /** 接入类型名称 */
    @Excel(name = "接入类型名称")
    @ApiModelProperty(name = "接入类型名称", value = "接入类型名称")
    private String accessName;

    @Excel(name = "密码")
    @ApiModelProperty(name = "密码", value = "密码")
    private String password;
    @Excel(name = "用户名")
    @ApiModelProperty(name = "用户名", value = "用户名")
    private String user;
}
