package com.muyu.source.domain.req;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 数据接入基本信息对象 sys_data_source
 *
 * @author wan
 * @date 2024-04-20
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "SysDataSourceEditReq", description = "数据接入基本信息")
public class SysDataSourceEditReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 数据源名称 */
    @ApiModelProperty(name = "数据源名称", value = "数据源名称")
    private String sourceName;

    /** 数据来源系统名称 */
    @ApiModelProperty(name = "数据来源系统名称", value = "数据来源系统名称", required = true)
    private String systemName;

    /** 主机地址 */
    @ApiModelProperty(name = "主机地址", value = "主机地址")
    private String hostAddress;

    /** 主键端口号 */
    @ApiModelProperty(name = "主键端口号", value = "主键端口号")
    private Long hostNumber;

    /** 数据接入类型 */
    @ApiModelProperty(name = "数据接入类型", value = "数据接入类型")
    private Long accessId;

    /** 数据连接参数 */
    @ApiModelProperty(name = "数据连接参数", value = "数据连接参数")
    private String connectionParameters;

    /** 初始连接数量 */
    @ApiModelProperty(name = "初始连接数量", value = "初始连接数量")
    private Long initialize;

    /** 最大连接数量 */
    @ApiModelProperty(name = "最大连接数量", value = "最大连接数量")
    private Long maxInitialize;

    /** 最大等待时间
 */
    @ApiModelProperty(name = "最大等待时间", value = "最大等待时间")
    private Long maxWaitingTime;

    /** 最大等待次数 */
    @ApiModelProperty(name = "最大等待次数", value = "最大等待次数")
    private Long maxIsoFrequency;

    /** 数据库名称 */
    @ApiModelProperty(name = "数据库名称", value = "数据库名称")
    private String databaseName;

}
