package com.muyu.source.domain.req;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 数据接入基本信息对象 sys_data_source
 *
 * @author wan
 * @date 2024-04-20
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "SysDataSourceQueryReq", description = "数据接入基本信息")
public class SysDataSourceQueryReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 数据源名称 */
    @ApiModelProperty(name = "数据源名称", value = "数据源名称")
    private String sourceName;

    /** 数据来源系统名称 */
    @ApiModelProperty(name = "数据来源系统名称", value = "数据来源系统名称")
    private String systemName;

    /** 数据库名称 */
    @ApiModelProperty(name = "数据库名称", value = "数据库名称")
    private String databaseName;
}
