package com.muyu.source.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.common.core.web.controller.BaseController;
import com.muyu.common.security.annotation.RequiresPermissions;
import com.muyu.source.domain.SysAccess;
import com.muyu.source.domain.SysDataSource;
import com.muyu.source.service.SysAccessService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 接入类型Controller @wan
 *
 * @ClassName SysAccessController
 * @Author AnNan.Wang
 * @Date 2024/4/21 11:00
 */

@Api(tags = "接入类型")
@RestController
@RequestMapping("/type")
public class SysAccessController extends BaseController {
    @Autowired
    private SysAccessService sysAccessService;
    /**
     * 获取接入类型
     */
    @ApiOperation("获取接入类型")
    @RequiresPermissions("source:type:typeList")
    @GetMapping(value = "/typeList")
    public Result<List<SysAccess>> typeList() {
        return Result.success(sysAccessService.list(null));
    }
}
